Runtime Infrastructure - Support #4086

Support # 2696 (New): security review

review the RemoteObject exports in StandardServer and other common runtime classes for security
implications

05/22/2019 12:24 PM - Greg Shah

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

billable: No case_num:
vendor_id: GCD version:
Description

Related issues:
Related to Base Language - Bug #5035: Temp-Table index on P.L.O field Test

History

#1 - 05/22/2019 12:28 PM - Greg Shah

Although our exported APlIs in the DAP do have security checking for access purposes, in practice | think we may be exposing too much in the use of
our RemoteObject approach to export services by default in FWD. In the standard configuration (usually inherited from one of the Hotel templates), |
think all users (in the default bogus FWD account) can access everything that is exported.

We need to:

e review the state of security for all of our exported services

e determine if any security improvements/new features are needed

¢ determine what configuration changes are needed to better lock down the default configuration
e make a list of any other security related issues found

#2 - 03/02/2021 06:31 AM - Greg Shah
- Parent task set to #2696

#3 - 03/08/2021 07:12 AM - Greg Shah
- Related to Bug #5035: Temp-Table index on P.L.O field added

#4 - 03/08/2021 07:15 AM - Greg Shah

Please check all external APl mechanisms (appserver replacement, webspeed/web handler, REST, SOAP and the embedded driver up-calls) to
identify any security issues. One example is whether simple incrementing handle IDs can be exploited via these APIs (see #5035-19 and the
following discussion).
https://proj.goldencode.com/issues/5035#note-19
